package cn.com.ty.lift.ud.payment.mapper;


import java.util.List;

import cn.com.ty.lift.ud.payment.mapper.entity.ApplyInvoiceImgEntity;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import  com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * 发票图片 -Repository
 * 
 * @author Xson
 * @date 2020-04-22
 */
public interface ApplyInvoiceImgMapper extends BaseMapper<ApplyInvoiceImgEntity> {

    int deleteByPrimaryKey(Integer id);

    int insertSelective(ApplyInvoiceImgEntity record);

    ApplyInvoiceImgEntity selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(ApplyInvoiceImgEntity record);

    int updateByPrimaryKeyWithBLOBs(ApplyInvoiceImgEntity record);

    int updateByPrimaryKey(ApplyInvoiceImgEntity record);
    
    @Select("SELECT * FROM apply_invoice_img WHERE data_id=#{id}")
    List<ApplyInvoiceImgEntity> findByInvoiceId(@Param("id")Long id);
}
